Bug 992979 - lcms: Stack-based buffer overflows in ColorSpace conversion calculator and TIFF compare utility [fedora-all]
lcms: Stack-based buffer overflows in ColorSpace conversion calculator and TI...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lcms (Show other bugs)
20
All Linux
low Severity low
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
fst_ping=1
: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-4276
  Show dependency treegraph
 
Reported: 2013-08-05 06:47 EDT by Jan Lieskovsky
Modified: 2015-04-23 12:08 EDT (History)
1 user (show)

See Also:
Fixed In Version: lcms-1.19-13.fc20
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-23 12:08:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-08-05 06:47:51 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Jan Lieskovsky 2013-08-05 06:48:01 EDT
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=992975,992979
Comment 2 pjp 2014-12-03 13:23:50 EST
Hello andreas.bierfert,

Could you please fix this soon?
Comment 3 Fedora End Of Life 2015-01-09 14:17:35 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Andreas Bierfert 2015-02-03 03:49:24 EST
With f19 eol the only missing build is f20.
Comment 5 Fedora Update System 2015-02-03 03:58:57 EST
lcms-1.19-13.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lcms-1.19-13.fc20
Comment 6 Fedora Update System 2015-02-04 03:00:08 EST
Package lcms-1.19-13.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lcms-1.19-13.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1648/lcms-1.19-13.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2015-04-23 12:08:03 EDT
lcms-1.19-13.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.